package io.skore.smooch_plugin.delegate

import io.smooch.core.Conversation
import io.smooch.core.Message

class MessageModifierDelegate : Conversation.MessageModifierDelegate {

    override fun beforeSend(message: Message?): Message? {
        return message
    }

    override fun beforeNotification(message: Message?): Message? {
        return message
    }

    override fun beforeDisplay(message: Message?): Message? {
        message?.text?.let { txt ->
            return when (txt) {
                "iniciar", "session" -> null
                else -> {
                    if (txt.contains("token:") || txt.contains("token2:")) null else message
                }
            }
        }
        return message
    }
}